import 'package:auth/src/core/domain/repositories/auth_repository.dart';
import 'package:auth/src/features/login/domain/login_use_case.dart';

class LoginUseCaseImpl implements LoginUseCase {
  LoginUseCaseImpl(this._repository);

  final AuthRepository _repository;

  @override
  Future<String> login({required String email, required String password}) {
    return _repository.login(email: email, password: password);
  }
}
